package com.eitc.modules.devtools.service;


import com.eitc.common.service.BaseService;
import com.eitc.modules.devtools.entity.TableFieldEntity;

import java.util.List;

/**
 * 列
 *
 * @author Mark eitc@163.com
 */
public interface TableFieldService extends BaseService<TableFieldEntity> {

    List<TableFieldEntity> getByTableName(String tableName);

    void deleteByTableName(String tableName);

    void deleteBatchTableIds(Long[] tableIds);
}